<Addin id          = "AspNet.Mvc"
       namespace   = "MonoDevelop"
       name        = "ASP.NET MVC Support"
       author      = "Michael Hutchinson"
       copyright   = "MIT X11"
       url         = "http://www.monodevelop.com/"
       description = "Support for ASP.NET MVC projects."
       category    = "Web Development"
       version     = "1.9.2">
	
	<Runtime>
		<Import file = "Templates/Controller.xft.xml"/>
		<Import file = "Templates/ViewPage.xft.xml"/>
		<Import file = "Templates/ViewContentPage.xft.xml"/>
		<Import file = "Templates/UserControl.xft.xml"/>
		<Import file = "Templates/ViewMasterPage.xft.xml" />
		<Import file = "Templates/Project.xpt.xml" />
		<Import file = "Templates/EmptyProject.xpt.xml"/>
		<Import file = "Templates/GlobalAsax.xft.xml"/>
		<Import file = "Templates/WebConfigApp.xft.xml"/>
		<Import file = "Templates/WebConfigViews.xft.xml"/>
	</Runtime>
	
	<Dependencies>
		<Addin id="Core" version="1.9.2"/>
		<Addin id="Core.Gui" version="1.9.2"/>
		<Addin id="Projects" version="1.9.2"/>
		<Addin id="Projects.Gui" version="1.9.2"/>
		<Addin id="Ide" version="1.9.2"/>
		<Addin id="XmlEditor" version="1.9.2" />
		<Addin id="AspNet" version="1.9.2" />
	</Dependencies>
	
	<Extension path = "/MonoDevelop/ProjectModel/MSBuildItemTypes">
		<DotNetProjectSubtype
			guid="{603c0e0b-db56-11dc-be95-000d561079b0}"
			type="MonoDevelop.AspNet.Mvc.AspMvcProject"
			/>
	</Extension>

	<Extension path = "/MonoDevelop/Ide/FileTemplates">
		<FileTemplate id       = "AspMvcController-Empty"
		              file     = "Templates/Controller.xft.xml"/>
		<FileTemplate id       = "AspMvcViewPage"
		              file     = "Templates/ViewPage.xft.xml"/>
		<FileTemplate id       = "AspMvcViewContentPage"
		              file     = "Templates/ViewContentPage.xft.xml"/>
		<FileTemplate id       = "AspMvcUserControl"
		              file     = "Templates/UserControl.xft.xml"/>
		<FileTemplate id       = "AspMvcViewMasterPage"
		              file     = "Templates/ViewMasterPage.xft.xml" />
		<FileTemplate id       = "AspMvcGlobalAsax"
		              file     = "Templates/GlobalAsax.xft.xml" />
		<FileTemplate id       = "AspMvcWebConfigApp"
		              file     = "Templates/WebConfigApp.xft.xml" />
		<FileTemplate id       = "AspMvcWebConfigViews"
		              file     = "Templates/WebConfigViews.xft.xml" />
	</Extension>

	<Extension path = "/MonoDevelop/Ide/ProjectTemplates">
		<ProjectTemplate id = "AspMvcProject" file = "Templates/Project.xpt.xml" />
		<ProjectTemplate id = "AspMvcProject-Empty" file = "Templates/EmptyProject.xpt.xml"/>
	</Extension>
	
	<Extension path = "/MonoDevelop/ProjectModel/ProjectBindings">
		<ProjectBinding id = "AspNetMvc" class = "MonoDevelop.AspNet.Mvc.AspMvcProjectBinding" />
	</Extension>
	
	<Extension path = "/MonoDevelop/ProjectModel/SerializableClasses">
		<DataType class = "MonoDevelop.AspNet.Mvc.AspMvcProject" />
		<DataType class = "MonoDevelop.AspNet.Mvc.AspMvcProjectConfiguration" />
	</Extension>
	
	<!--
	<Extension path = "/MonoDevelop/Ide/Commands">
		<Category _name = "ASP.NET" id = "AspNet">
		<Command id = "MonoDevelop.AspNet.AspNetCommands.AddAspNetDirectory"
		         _label = "ASP.NET Directory"
		         type="array" />
		</Category>
	</Extension>
	
	<Extension path = "/MonoDevelop/Ide/ContextMenu/ProjectPad/Project/Add">
		<Condition id="activeproject" value="AspNetApp">
			<CommandItem _label = "MVC Controller" id = "MonoDevelop.AspNet.Mvc.AddAspNetDirectory" />
		</Condition>
	</Extension>
	-->
</Addin>
